/*
 * (C) COPYRIGHT 2012 CRZ
 *
 * File Name : bsharp_comm.c
 * Author    : POOH
 * Version   : V1.0
 * Date      : 11/27/2012
 */

/* includes */

#include "hw_config.h"

extern unsigned char g_rx_packet_data[BSHARP_DATA_MAX_SIZE];

/* functions */

void BSharp_Packet_Print(unsigned char * data_p, unsigned int size)
{
    for(int i = 0; i < size; i ++)
    {
        printf("0x%02X ", * data_p ++);
    }
    
    printf("\n");
}

int BSharp_Packet_Check_Preamble(unsigned char * data_p)
{
    int ret = 0;
    ret = strncmp((char *)BSHARP_PREAMBLE_CONTENT, (char *)data_p, BSHARP_PREAMBLE_SIZE);
    if(ret != 0)
    {
        DEBUG_MSG_FUNC_ERROR;
        return -1;
    }
    return 0;
}

void BSharp_Packet_Get_Data(unsigned char * data_p, unsigned int size)
{
    DEBUG_MSG_FUNC_START;

    memset(g_rx_packet_data, 0, BSHARP_DATA_MAX_SIZE);
    memcpy(g_rx_packet_data, (data_p + BSHARP_DATA_OFFSET), size);
    BSharp_Packet_Print(g_rx_packet_data, size);
}
