/*
 * (C) COPYRIGHT 2013 CRZ
 *
 * File Name : cc1120_test.h
 * Author    : POOH
 * Version   : V1.0
 * Date      : 09/10/2013
 */

#ifndef __CC1120_TEST_H
#define __CC1120_TEST_H

/* includes */

#include "stm32f10x.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

/* variables */

extern uint8  packetSemaphore;

extern GPIO_TypeDef *  g_cc1120_gpio_ncs;
extern SPI_TypeDef *   g_cc1120_spi_num_p;

extern uint16_t  g_cc1120_gpio_pin_reset, g_cc1120_gpio_pin_ncs;
extern uint16_t  g_cc1120_gpio_pin_0, g_cc1120_gpio_pin_1, g_cc1120_gpio_pin_2;
extern uint16_t  g_cc1120_gpio_pin_3, g_cc1120_gpio_pin_4, g_cc1120_gpio_pin_5;

extern uint8_t   g_cc1120_gpio_pin_5_pin_source, g_cc1120_gpio_pin_5_irq;
extern uint32_t  g_cc1120_gpio_pin_5_exti_line;

extern uint8_t   g_cc1120_gpio_pin_6_pin_source, g_cc1120_gpio_pin_6_irq;
extern uint32_t  g_cc1120_gpio_pin_6_exti_line;

/* functions */

void CC1120_radioRxTxISR(void);

void CC1120_Test(SPI_TypeDef* SPIx_p);

void rx_sniff_mode_term_on_cs_tx(void);
void rx_sniff_mode_term_on_cs_rx(void);

#endif  /* __CC1120_TEST_H */

