///////////////////////////////////////////////////////////////////////////////
//                                                                            /
// IAR ANSI C/C++ Compiler V6.30.6.53336/W32 for ARM    16/Aug/2013  17:45:26 /
// Copyright 1999-2012 IAR Systems AB.                                        /
//                                                                            /
//    Cpu mode     =  thumb                                                   /
//    Endian       =  little                                                  /
//    Source file  =  D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\src\uart_co /
//                    mm.c                                                    /
//    Command line =  D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\src\uart_co /
//                    mm.c -D USE_STDPERIPH_DRIVER -lcN                       /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\Deb /
//                    ug\List\ -lb D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platfor /
//                    m\project\Debug\List\ --diag_suppress Pe549,Pa082 -o    /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\Deb /
//                    ug\Obj\ --no_cse --no_unroll --no_inline                /
//                    --no_code_motion --no_tbaa --no_clustering              /
//                    --no_scheduling --debug --endian=little                 /
//                    --cpu=Cortex-M3 -e --fpu=None --dlib_config             /
//                    "C:\Program Files (x86)\IAR Systems\Embedded Workbench  /
//                    6.0_0\arm\INC\c\DLib_Config_Full.h" -I                  /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\..\ /
//                    inc\ -I D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\pro /
//                    ject\..\cc2520\ -I D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_p /
//                    latform\project\..\CLCD_LMC1623\ -I                     /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\..\ /
//                    Libraries\STM32_USB-FS-Device_Driver\inc\ -I            /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\..\ /
//                    Libraries\STM32F10x_StdPeriph_Driver\inc\ -I            /
//                    D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\..\ /
//                    Libraries\CMSIS\Device\ST\STM32F10x\Include\ -Ol -I     /
//                    "C:\Program Files (x86)\IAR Systems\Embedded Workbench  /
//                    6.0_0\arm\CMSIS\Include\"                               /
//    List file    =  D:\zWk.Src\ETRI-NOS\etri_m32f1_nos_platform\project\Deb /
//                    ug\List\uart_comm.s                                     /
//                                                                            /
//                                                                            /
///////////////////////////////////////////////////////////////////////////////

        NAME uart_comm

        #define SHT_PROGBITS 0x1

        EXTERN DebugMsg_FunctionError
        EXTERN Delay
        EXTERN USART_GetFlagStatus
        EXTERN USART_SendData
        EXTERN UartQueue_Comm_DeQueue
        EXTERN UartQueue_Comm_Is_Empty

        PUBLIC UartComm_GetChar_Timeout
        PUBLIC UartComm_GetChar_Wait
        PUBLIC UartComm_SendData_OneChar


        SECTION `.text`:CODE:NOROOT(1)
        THUMB
UartComm_SendData_OneChar:
        PUSH     {R7,LR}
        UXTB     R0,R0            ;; ZeroExt  R0,R0,#+24,#+24
        MOVS     R1,R0
        UXTH     R1,R1            ;; ZeroExt  R1,R1,#+16,#+16
        LDR.N    R0,??DataTable1  ;; 0x40004400
        BL       USART_SendData
??UartComm_SendData_OneChar_0:
        MOVS     R1,#+128
        LDR.N    R0,??DataTable1  ;; 0x40004400
        BL       USART_GetFlagStatus
        CMP      R0,#+0
        BEQ.N    ??UartComm_SendData_OneChar_0
        POP      {R0,PC}          ;; return

        SECTION `.text`:CODE:NOROOT(1)
        THUMB
UartComm_GetChar_Wait:
        PUSH     {R7,LR}
??UartComm_GetChar_Wait_0:
        BL       UartQueue_Comm_Is_Empty
        CMP      R0,#+1
        BEQ.N    ??UartComm_GetChar_Wait_0
        BL       UartQueue_Comm_DeQueue
        UXTB     R0,R0            ;; ZeroExt  R0,R0,#+24,#+24
        POP      {R1,PC}          ;; return

        SECTION `.text`:CODE:NOROOT(1)
        THUMB
UartComm_GetChar_Timeout:
        PUSH     {R3-R5,LR}
        MOVS     R4,R0
        MOV      R5,#+500
        B.N      ??UartComm_GetChar_Timeout_0
??UartComm_GetChar_Timeout_1:
        SUBS     R5,R5,#+1
??UartComm_GetChar_Timeout_0:
        BL       UartQueue_Comm_Is_Empty
        CMP      R0,#+1
        BNE.N    ??UartComm_GetChar_Timeout_2
        MOVS     R0,#+10
        BL       Delay
        UXTH     R5,R5            ;; ZeroExt  R5,R5,#+16,#+16
        CMP      R5,#+0
        BNE.N    ??UartComm_GetChar_Timeout_1
        MOVS     R1,#+43
        LDR.N    R0,??DataTable1_1
        BL       DebugMsg_FunctionError
        MOVS     R0,#-1
        B.N      ??UartComm_GetChar_Timeout_3
??UartComm_GetChar_Timeout_2:
        BL       UartQueue_Comm_DeQueue
        STRB     R0,[R4, #+0]
        MOVS     R0,#+0
??UartComm_GetChar_Timeout_3:
        POP      {R1,R4,R5,PC}    ;; return

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable1:
        DC32     0x40004400

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable1_1:
        DC32     ??__FUNCTION__

        SECTION `.iar_vfe_header`:DATA:REORDER:NOALLOC:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
        DC32 0

        SECTION __DLIB_PERTHREAD:DATA:REORDER:NOROOT(0)
        SECTION_TYPE SHT_PROGBITS, 0

        SECTION __DLIB_PERTHREAD_init:DATA:REORDER:NOROOT(0)
        SECTION_TYPE SHT_PROGBITS, 0

        SECTION `.rodata`:CONST:REORDER:NOROOT(2)
// __absolute char const UartComm_GetChar_Timeout::__FUNCTION__[25]
??__FUNCTION__:
        DATA
        DC8 "UartComm_GetChar_Timeout"
        DC8 0, 0, 0

        END
// 
//  28 bytes in section .rodata
// 110 bytes in section .text
// 
// 110 bytes of CODE  memory
//  28 bytes of CONST memory
//
//Errors: none
//Warnings: none
